package com.zipcodewilmington.bankaccountlab;

import com.sun.tools.javac.comp.Check;
import sun.applet.Main;

import java.util.Scanner;

/**
 * Created by leon on 1/10/18.
 */

public class MainApplication {

    private String name;
    private String email;
    private String address;
    private int pin;
    private long accountNumber;
   // private static String name;
   // private static String email;
   // private static String address;
   // private static int pin;
    private boolean runCommandCenter = true;
    private CheckingAccount checkingAccount;
    private BusinessAccount businessAccount;
    private SavingsAccount savingsAccount;




    Atm atm = new Atm();

    public static void main(String[] vv) {
        new MainApplication().commandCenter();


        System.out.println("Baller ATM only...");
        MainApplication mainApplication = new MainApplication();
    }


    public MainApplication() {
        Scanner scannerr = new Scanner(System.in);

        System.out.println("Enter your name.");
        name = scannerr.nextLine();

        System.out.println("Enter your email address.");
        email = scannerr.nextLine();

        System.out.println("Enter your address.");
        address = scannerr.nextLine();

        System.out.println("Create a pin number.");
        pin = scannerr.nextInt();

        this.accountNumber = Math.round(Math.random() * 999999999);
            double balance = 00000.00;

            createBusinessAccount(this.name, this.email, this.address, this.pin, this.accountNumber, balance);
            createSavingsAccount(this.name, this.email, this.address, this.pin, this.accountNumber, balance);
            createCheckingAccount(this.name, this.email, this.address, this.pin, this.accountNumber, balance);

        while(runCommandCenter){
            commandCenter();
        }
    }

    public void commandCenter(){
        Scanner scanner = new Scanner(System.in);

        System.out.println("Your Checking Account balance is: " + checkingAccount.getBalance() +"\nYour Savings Account Balance is: " +savingsAccount.getBalance()+"\nYour Business Account balance is: "+businessAccount.getBalance());


        System.out.println("Choose a command");
        System.out.println("'1' - Get the balance of your Checking Account \n'2' - Get the balance of your Savings Account \n'3' - Get balance of your Business Account\n'4' - Deposit money to your Checking Account\n'5' - Deposit money to your Savings Account\n'6' - Deposit money to your Business Account\n'7' - Withdraw money from your Checking Account\n'8' - Withdraw money from your Savings Account\n'9' - Withdraw money from your Business Account\n'10' - Change the pin of your accounts\n'11' - Turn ATM off\n'12' - Forgot pin\n'13' - Forgot name\n'14' - Forgot email\n'15' - Forgot address\n'16' - Trick Input :)\n'17' - Get Account Number");
        int userInput = scanner.nextInt();

        switch(userInput){
            case 1:
                System.out.println("Your Checking Account balance is: " + checkingAccount.getBalance());
                break;

            case 2:
                System.out.println("Your Savings Account balance is: " + savingsAccount.getBalance());
                break;

            case 3:
                System.out.println("Your Business Account balance is: " + businessAccount.getBalance());
                break;

            case 4:
                System.out.println("How much money would you like to deposit into your Checking Account?");
                atm.depositMoney(checkingAccount, scanner.nextDouble());
                System.out.println("Money deposited.");
                break;

            case 5:
                System.out.println("How much money would you like to deposit into your Savings Account?");
                atm.depositMoney(savingsAccount, scanner.nextDouble());
                System.out.println("Money deposited.");
                break;

            case 6:
                System.out.println("How much money would you like to deposit into your Business Account?");
                atm.depositMoney(businessAccount, scanner.nextDouble());
                System.out.println("Money deposited.");
                break;

            case 7:
                System.out.println("How much money would you like to withdraw from your Checking Account?");
                atm.withdrawMoney(checkingAccount, scanner.nextDouble());
                System.out.println("Money withdrawn.");
                break;

            case 8:
                System.out.println("How much money would you like to withdraw from your Savings Account?");
                atm.withdrawMoney(savingsAccount, scanner.nextDouble());
                System.out.println("Money withdrawn.");
                break;

            case 9:
                System.out.println("How much money would you like to withdraw from your Business Account?");
                atm.withdrawMoney(businessAccount, scanner.nextDouble());
                System.out.println("Money withdrawn");
                break;

            case 10:
                System.out.println("Enter a new pin number.");
                atm.changePin(businessAccount, scanner.nextInt());
                //might have to change all of the pin numbers individually...
                break;

            case 11:
                System.out.println("Peace");
                runCommandCenter = false;
                break;

            case 12:
                System.out.println("Your pin number is " + businessAccount.getPin());
                break;

            case 13:
                System.out.println("Your name is " + businessAccount.getName());
                break;

            case 14:
                System.out.println("Your email address is " + businessAccount.getEmail());
                break;

            case 15:
                System.out.println("Your address is " + businessAccount.getAddress());

            case 17:
                System.out.println("Your account number is " + businessAccount.getAccountNumber());
        }

    }





    public CheckingAccount createCheckingAccount(String name, String email, String address, int pin, long accountNumber, double balance){
        CheckingAccount checkingAccount = new CheckingAccount(name, email, address, pin, accountNumber, balance);
        this.checkingAccount = checkingAccount;
        return this.checkingAccount;

    }

    public BusinessAccount createBusinessAccount(String name, String email, String address, int pin, long accountNumber, double balance){
        BusinessAccount businessAccount = new BusinessAccount(name, email, address, pin, accountNumber, balance);
        this.businessAccount = businessAccount;
        return this.businessAccount;

    }

    public SavingsAccount createSavingsAccount(String name, String email, String address, int pin, long accountNumber, double balance){
        SavingsAccount savingsAccount = new SavingsAccount(name, email, address, pin, accountNumber, balance);
        this.savingsAccount = savingsAccount;
        return this.savingsAccount;

    }
}
